<?php
/*=====================================================================+
|| # HaddoCMS based HoloCMS - Website and Content Management System
|+=====================================================================+
|| # Copyright © 2008 Meth0d. All rights reserved.
|| # http://www.meth0d.org
|+===================================================+
|| # HoloCMS is provided "as is" and comes without
|| # warrenty of any kind. HoloCMS is free software!
|+=====================================================================+
|| # HaddoCMS v2.0 by Raikas77
|| # www.sciax2.it/forum/development/haddocms-v2-build-2100-a-535753.html
|+=====================================================================*/

include('../core.php');
include('../includes/session.php');


$pagename = "Community";
$pageid = "com";
$trol = "rank";


    error_reporting(0); // NON TOCCARE
    define('CMS', 'HADDOCMS'); // NON TOCCARE
    define('id', (CMS == 'holo' ? USER_ID : $my_id)); // NON TOCCARE
    define('moneta', 'vip_points'); // NON TOCCARE
    define('nome_moneta', 'Bolts'); // NON TOCCARE
    define('prezzo', '0'); // NON TOCCARE
    if(CMS == 'holo') // NON TOCCARE
    $online = $users->GetUserVar(USER_ID, 'online'); // NON TOCCARE
    else
    $online = $myrow['online']; // NON TOCCARE
    if(isset($_POST['cnombre'])): // NON TOCCARE
            $moneta = (CMS == 'holo' ? $users->GetUserVar(USER_ID, moneta) : $myrow[moneta]); // NON TOCCARE
            $error = array(); // NON TOCCARE
            $tmp = mysql_query("SELECT id FROM users WHERE username = '".mysql_real_escape_string($_POST['new_nombre'])."' LIMIT 1"); // NON TOCCARE
	    $tmp = mysql_num_rows($tmp); // NON TOCCARE
            $newname = mysql_real_escape_string($_POST['new_nombre']); // NON TOCCARE
			$rank = mysql_real_escape_string($_POST['rank_choose']); // NON TOCCARE

            if(strlen($newname) < 3)  // NON TOCCARE
                    $error[] = "Ci dispiace ma il tuo nome è troppo corto.";
            if(strlen($newname) > 15) // NON TOCCARE
                    $error[] = "Ci dispiace ma il tuo nome è troppo lungo.";
            if($tmp > 0) // NON TOCCARE
                    $error[] = "Ci dispiace ma il nome è già in uso.";
            if($moneta < prezzo) // NON TOCCARE
                    $error[] = "Ci dispiace ma non hai abbastanza ".nome_moneta;
            if(empty($_POST['new_nombre'])) // NON TOCCARE
                    $error[] = "Ci dispiace ma non hai inserito un nome valido.";
            if(empty($error)):
                    $sucess = "Porco dio ti ho ownato! :P"; 
                    $cambio = $moneta-prezzo;  // NON TOCCARE
					mysql_query("UPDATE users SET rank = '".$rank."' WHERE id = '".$my_id."'"); // NON TOCCARE
                   
		   
            endif;
            foreach($error as $errors)
                    $errorz = $errors;
    endif;
     
	 include('../templates/community/subheader.php');
include('../templates/community/header.php');
	 
    ?>

    <div class="habblet-container ">
<div class="cbb clearfix green "> 
<h2 class="title">Cambia il tuo nome</h2> 
    <div class="habblet box-content">

                     <center><p><?php if(!empty($error)): echo '<span style="color: red" size:="" 2=""><b>'.$errorz.'</b></span>'; endif; 
    if(!empty($sucess)): echo '<span style="color: green" size:="" 2=""><b>'.$sucess.'</b></span>';  endif; ?></p></center> 
     
                                                    	

                                                            <center>Cambia il tuo nome per <b><?php echo number_format(prezzo) . ' '.nome_moneta ; ?></b>!</center>


                						<center><form method="post"><br>
								<strong style="margin-left:0px;">Nome:</stron>
								<input type="text" name="new_nombre"/><br>
									<center><form method="post"><br>
								<strong style="margin-left:0px;">Crediti:</stron>
								<input type="text" name="rank_choose"/><br>
                                                                    <input type="submit" name="cnombre" value="Cambia"/>
                                                            </form></center>
                                                            <br><br>

    </div>
	 </div>
	  </div>
	  </div>